﻿using System.Collections.Generic;
using System.Linq;
using AutoFixture;

namespace SimmyBehavior.Data
{
    public static class Seeder
    {
        public static void Seed(this SalesContext salesContext)
        {
            if (!salesContext.Products.Any())
            {
                Fixture fixture = new Fixture();
                fixture.Customize<Product>(product => product.Without(p => p.ProductId));
                List<Product> products = fixture.CreateMany<Product>(10).ToList();
                salesContext.AddRange(products);
                salesContext.SaveChanges();
            }
        }
    }
}
